> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get All Room Admins > Retrieves all rooms and admin information. Permission required: `view-room-administration` ### Changelog | Version | Description | | ------- |--------------| | 8.7.0 | Restored `customFields` in the response | | 2.4.0 | Added | ## OpenAPI ````json GET /api/v1/rooms.adminRooms { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.adminRooms": { "get": { "tags": [ "Rooms" ], "summary": "Get All Room Admins", "description": "Retrieves all rooms and admin information.\n\nPermission required: `view-room-administration`\n\n### Changelog\n| Version | Description |\n| ------- |--------------|\n| 8.7.0 | Restored `customFields` in the response |\n| 2.4.0 | Added |", "operationId": "get-api-v1-rooms.adminRooms", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "types", "in": "query", "description": "The room types. The possible room types are:\n - `d`: Direct messages\n - `c`: Public channel\n - `p`: Private channel\n - `discussions`: Team or channel discussions\n - `teams`: Workspace teams\n - `l`: Livechat\n - `v`: Omnichannel VoIP rooms", "schema": { "type": "array", "items": { "type": "string" } } }, { "name": "filter", "in": "query", "description": "The rooms name", "schema": { "type": "string" } }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/offset" }, { "schema": { "type": "string" }, "in": "query", "name": "sort", "description": "Sort the channels in ascending (`1`) or descending (`-1`) order. The value must be entered as a JSON object. The options are as follows:\n * `ts`: Sort by creation timestamp. For example, `sort={\"ts\":-1}`\n * `usersCount`: Sort by number of users. For example, `sort={\"usersCount\":1}`\n * `name`: Sort by the room name. For example, `sort={\"name\":1}`" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "rooms": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "fname": { "type": "string" }, "description": { "type": "string" }, "broadcast": { "type": "boolean" }, "federated": { "type": "boolean" }, "name": { "type": "string" }, "t": { "type": "string" }, "msgs": { "type": "integer" }, "usersCount": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "ro": { "type": "boolean" }, "default": { "type": "boolean" }, "topic": { "type": "string" }, "announcement": { "type": "string" }, "customFields": { "type": "object", "description": "The custom fields set on the room." } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "rooms": [ { "_id": "654c9d1ca2f73c7460e1918b", "fname": "animalGeography", "topic": "", "broadcast": false, "name": "animalGeography", "t": "p", "msgs": 4, "usersCount": 1, "u": { "_id": "CkCPNcvsvCDfmWLqC", "username": "kim.jane", "name": "kim.jane" }, "ro": false, "default": false, "customFields": { "department": "engineering", "priority": "high" } } ], "count": 1, "offset": 0, "total": 1, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````